Name:		rinputd
Version:	1.0.5
Release:	2%{?dist}
Summary:	A server for receiving input events over the network
Group:		System Environment/Base
License:	GPLv2 and OpenSSL
URL:		https://launchpad.net/rinput
Source0:	http://launchpad.net/rinput/trunk/%{version}/+download/%{name}_%{version}.tar.gz
Source1:	rinputd.init
BuildRequires:	cmake, avahi-qt4-devel, cyrus-sasl-devel, openssl-devel
Requires(post):	openssl, chkconfig

%description
The Remote Input server allows clients to send input events, such as
mouse movements or keyboard presses, over a secure, authenticated
communication channel. Remote devices, be they separate computers
or mobile devices, can provide mouse, keyboard, multi-touch,
switches and other input to the Remote Input server, and the server
will create virtual keyboards and mice for each connection.

%package devel
Summary:	Development headers for building rinputd clients
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Development headers for building rinputd clients, see
https://wiki.ubuntu.com/RemoteInput/RemoteInputProtocol for
protocol documentation.

%prep
%setup -q -n %{name}_%{version}

%build
# need shared libs off to prevent bogus libcommon dep, its an internal libcommon...
%cmake -DBUILD_SHARED_LIBS:BOOL=OFF
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rinput
touch $RPM_BUILD_ROOT%{_sysconfdir}/rinput/rinput.{key,crt}
cat <<- __EOF__ > $RPM_BUILD_ROOT/%{_sysconfdir}/rinput/%{name}.conf
	# Arguments passed to rinputd when started from /etc/init.d/rinputd
	RINPUTD_ARGS=""
__EOF__

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/init.d
install -p -m755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/%{name}

%preun
/sbin/chkconfig --del %{_sysconfdir}/init.d/%{name}

%post
/sbin/chkconfig --add %{_sysconfdir}/init.d/%{name}

if [ ! -e %{_sysconfdir}/rinput/rinput.key ]; then
  openssl genrsa -out %{_sysconfdir}/rinput/rinput.key 1024 > /dev/null 2>&1
fi
if [ ! -e %{_sysconfdir}/rinput/rinput.crt ]; then
  echo "




  $(hostname)

  " | openssl req -new -x509 -key %{_sysconfdir}/rinput/rinput.key -out %{_sysconfdir}/rinput/rinput.crt -days 1095 > /dev/null 2>&1
fi

%files
%doc LICENSE LICENSE.openssl
%dir %{_sysconfdir}/rinput
%config(noreplace) %{_sysconfdir}/rinput/rinputd.conf
%ghost %config(noreplace) %{_sysconfdir}/rinput/rinput.key
%ghost %config(noreplace) %{_sysconfdir}/rinput/rinput.crt
%{_sysconfdir}/init.d/%{name}
%{_sbindir}/rinputd
%{_mandir}/man8/*

%files devel
%{_includedir}/rinput.h

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Oct 20 2012 Peter Robinson <pbrobinson@fedoraproject.org> 1.0.5-1
- Update to 1.0.5

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jul 20 2011 Jarod Wilson <jarod@redhat.com> 1.0.4-1
- Update to upstream release 1.0.4, fix ftbfs bug #715728

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Feb 11 2010 Jarod Wilson <jarod@redhat.com> 1.0.2-2
- Fix Source0 URL

* Wed Jan 13 2010 Jarod Wilson <jarod@redhat.com> 1.0.2-1
- Update to 1.0.2, adds true daemonize support

* Sat Jan 09 2010 Jarod Wilson <jarod@redhat.com> 1.0.1-3
- Fix up rpmlint warnings

* Fri Jan 08 2010 Jarod Wilson <jarod@redhat.com> 1.0.1-2
- Add initscript and cfg, split off devel package

* Thu Jan 07 2010 Jarod Wilson <jarod@redhat.com> 1.0.1-1
- Initial build
